### Signal

# Clutter RotateAction::rotate

#### Declaration

    gboolean
    rotate (
      ClutterRotateAction* self,
      ClutterActor* actor,
      gdouble angle,
      gpointer user_data
    )

#### Description [src]

The signal is emitted when a rotate gesture is recognized on the attached actor and when the gesture is cancelled (in this case with an angle value of 0).

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`actor`

  Type: `ClutterActor`

  The `ClutterActor` attached to the `action`.

  The data is owned by the caller of the function.

`angle`

  Type: `gdouble`

  The difference of angle of rotation between the initial rotation and the current rotation.

#### Return value

Type: `gboolean`

`TRUE` if the rotation should continue, and `FALSE` if the rotation should be cancelled.